List all conversations linked to a specific prospect
curl --request GET \
--url https://api.trata.ai/v1/prospects/{prospect_id}/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trata.ai/v1/prospects/{prospect_id}/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trata.ai/v1/prospects/{prospect_id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"status": "<string>",
"id": "<string>",
"orgId": "<string>",
"prospectId": "<string>",
"source": "<string>",
"sourceType": "<string>",
"aiAgentId": "<string>",
"transcriptText": [
{
"speaker": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"message_id": "<string>"
}
],
"transcriptSummary": "<string>",
"transcriptRecordingUrl": "<string>",
"timestampStart": "2023-11-07T05:31:56Z",
"timestampEnd": "2023-11-07T05:31:56Z",
"conversationAnalytics": {
"summary": "<string>",
"action_items": [
"<string>"
],
"is_audio_consent_given": true,
"email_address_of_caller": "<string>",
"name_of_caller": "<string>",
"phone_number_of_caller": "<string>",
"address_of_caller": "<string>"
},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}ConversationProspectLink
List all conversations linked to a specific prospect
List all conversations linked to a specific prospect
GET
/
v1
/
prospects
/
{prospect_id}
/
conversations
List all conversations linked to a specific prospect
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the prospect
Response
Successful Response
Show child attributes
Show child attributes
Analytics of the conversation
Show child attributes
Show child attributes
⌘I
